Package org.apache.nutch.parsefilter.regex

## Class RegexParseFilter

- java.lang.Object
- - org.apache.nutch.parsefilter.regex.RegexParseFilter

- All Implemented Interfaces:
    `Configurable`, `HtmlParseFilter`, `Pluggable`

      public class RegexParseFilter
      extends Object
      implements HtmlParseFilter

  RegexParseFilter. If a regular expression matches either HTML or extracted text, a configurable field is set to true.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.nutch.parse.HtmlParseFilter

      `X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegexParseFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParseResult` | `filter​(Content content, ParseResult parseResult, HTMLMetaTags metaTags, DocumentFragment doc)` | Adds metadata or otherwise modifies a parse of HTML content, given the DOM tree of a page.
    `Configuration` | `getConf()` |
    `void` | `setConf​(Configuration conf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexParseFilter

          public RegexParseFilter()

  - ### Method Detail

    - #### filter

          public ParseResult filter​(Content content,
                                    ParseResult parseResult,
                                    HTMLMetaTags metaTags,
                                    DocumentFragment doc)

      Description copied from interface: `HtmlParseFilter`
      Adds metadata or otherwise modifies a parse of HTML content, given the DOM tree of a page.
      Specified by:
        `filter` in interface `HtmlParseFilter`
      Parameters:
        `content` - the `Content` for a given response
        `parseResult` - the result of running on or more `Parser`'s on the content.
        `metaTags` - a populated `HTMLMetaTags` object
        `doc` - a `DocumentFragment` (DOM) which can be processed in the filtering process.
      Returns:
        a filtered `ParseResult`
      See Also:
        `Parser.getParse(Content)`

    - #### setConf

          public void setConf​(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`